Texa DeskDevelopers

Texa Desk Application API · Inboxes

Add a New Agent

POST/api/v1/accounts/{account_id}/inbox_members

Add a new Agent to Inbox

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

Body application/json

inbox_idintegerrequired

The ID of the inbox

user_idsarray of integerrequired

IDs of users to be added to the inbox

Responses

200

Success

payloadarray of object

Array of all active agents

payload[].idinteger
payload[].account_idinteger
payload[].availability_statusstring

The effective availability status of the agent, derived from the configured availability, auto-offline setting, and current presence. To update an agent's configured availability, use the availability field in create or update requests. One of: online, busy, offline.

payload[].auto_offlineboolean

Whether the agent is automatically marked offline when they are away.

payload[].confirmedboolean

Whether the agent has confirmed their email address.

payload[].emailstring

The email of the agent

payload[].available_namestring

The available name of the agent

payload[].namestring

The name of the agent

payload[].rolestring

The role of the agent One of: agent, administrator.

payload[].thumbnailstring

The thumbnail of the agent

payload[].custom_role_idinteger

The custom role id of the agent

404

Inbox not found

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring
403

Access denied

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring
422

User must exist

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring